org.opencv.xfeatures2d

## Class SURF

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.xfeatures2d.SURF

-     public class SURF
      extends Feature2D

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SURF(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SURF` | `__fromPtr__(long addr)`
    `static SURF` | `create()`
    `static SURF` | `create(double hessianThreshold, int nOctaves, int nOctaveLayers, boolean extended, boolean upright)`
    `protected void` | `finalize()`
    `boolean` | `getExtended()`
    `double` | `getHessianThreshold()`
    `int` | `getNOctaveLayers()`
    `int` | `getNOctaves()`
    `boolean` | `getUpright()`
    `void` | `setExtended(boolean extended)`
    `void` | `setHessianThreshold(double hessianThreshold)`
    `void` | `setNOctaveLayers(int nOctaveLayers)`
    `void` | `setNOctaves(int nOctaves)`
    `void` | `setUpright(boolean upright)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, getDefaultName, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SURF

          protected SURF(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SURF __fromPtr__(long addr)

    - #### create

          public static SURF create(double hessianThreshold,
                                    int nOctaves,
                                    int nOctaveLayers,
                                    boolean extended,
                                    boolean upright)

    - #### create

          public static SURF create()

    - #### getExtended

          public boolean getExtended()

    - #### getUpright

          public boolean getUpright()

    - #### getHessianThreshold

          public double getHessianThreshold()

    - #### getNOctaveLayers

          public int getNOctaveLayers()

    - #### getNOctaves

          public int getNOctaves()

    - #### setExtended

          public void setExtended(boolean extended)

    - #### setHessianThreshold

          public void setHessianThreshold(double hessianThreshold)

    - #### setNOctaveLayers

          public void setNOctaveLayers(int nOctaveLayers)

    - #### setNOctaves

          public void setNOctaves(int nOctaves)

    - #### setUpright

          public void setUpright(boolean upright)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1